API Reference
Get a job run
Get a job run
GET /api/job-runs/{id}
Get a job run
Operation ID: getJobRun
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Job run details
Content type: application/json
- Reference:
JobRun- Type:
object - Properties:
id(integer)job_id(integer)status(string)- Allowed values:
pending,running,paused,completed,failed,cancelled
- Allowed values:
started_at(string | null)- Format:
date-time - Nullable: yes
- Format:
completed_at(string | null)- Format:
date-time - Nullable: yes
- Format:
duration_ms(integer | null)- Nullable: yes
error_message(string | null)- Nullable: yes
selected_tasks(string | null) — JSON-encoded array of task keys to run (null = all)- Description: JSON-encoded array of task keys to run (null = all)
- Nullable: yes
run_state(string | null) — Internal DAG execution state (JSON)- Description: Internal DAG execution state (JSON)
- Nullable: yes
skip_deps(integer | null) — 1 when selected tasks should run without their upstream depends_on tasks; 0/null otherwise.- Description: 1 when selected tasks should run without their upstream depends_on tasks; 0/null otherwise.
- Nullable: yes
created_at(string)- Format:
date-time
- Format:
updated_at(string)- Format:
date-time
- Format:
- Type:
Error responses
404
Resource not found
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Example:
{
"error": "NOT_FOUND",
"message": "Resource not found"
}Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/job-runs/YOUR_ID' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/job-runs/YOUR_ID', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);